petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESNASMSetSubdomains

Manually Set the context required to restrict and solve subdomain problems.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESNASMSetSubdomains(SNES snes,PetscInt n,SNES subsnes[],VecScatter iscatter[],VecScatter oscatter[],VecScatter gscatter[])

Not Collective

### Input Parameters

| SNES | - the SNES context
| n | - the number of local subdomains
| subsnes | - solvers defined on the local subdomains
| iscatter | - scatters into the nonoverlapping portions of the local subdomains
| oscatter | - scatters into the overlapping portions of the local subdomains
| gscatter | - scatters into the (ghosted) local vector of the local subdomain

### Keywords

SNES, NASM

### See Also

SNESNASM, SNESNASMGetSubdomains()

### Level

intermediate

### Location

src/snes/impls/nasm/nasm.c

### Implementations

SNESNASMSetSubdomains_NASM in src/snes/impls/nasm/nasm.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages